summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/aclocal9.test53
1 files changed, 53 insertions, 0 deletions
diff --git a/tests/aclocal9.test b/tests/aclocal9.test
new file mode 100755
index 000000000..75a1e80f6
--- /dev/null
+++ b/tests/aclocal9.test
@@ -0,0 +1,53 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure aclocal define macros in the same order as -I's.
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+MACRO1
+MACRO2
+END
+
+mkdir m4_1 m4_2
+
+cat >m4_1/somedefs.m4 <<EOF
+AC_DEFUN([MACRO1], [echo macro11 > foo])
+AC_DEFUN([MACRO2], [echo macro21 >> foo])
+EOF
+
+cat >m4_2/somedefs.m4 <<EOF
+AC_DEFUN([MACRO1], [echo macro12 > foo])
+EOF
+
+$ACLOCAL -I m4_1 -I m4_2
+$AUTOCONF
+./configure
+grep macro11 foo
+grep macro21 foo
+
+$ACLOCAL -I m4_2 -I m4_1
+$AUTOCONF
+./configure
+grep macro12 foo
+grep macro21 foo